<script setup>
import * as inputEnums from '@/app/enums/input';
import Input from '@/app/components/crud/particles/Input.vue';

import { sendRequest } from '../scripts/sendRequest';
</script>

<script>
export default {
    methods: {
        submit(event) {
            sendRequest(this, event, 'exchange/excel/export/report/sr', (formData) => {
                return 'Reports SR (' + formData.get('date') + ').xlsx';
            });
        },
    },
};
</script>

<template>
    <div class="card card-primary">
        <div class="card-header card-primary">
            {{
                __('Экспорт: :type', {
                    type: __('Отчёты (SR)'),
                })
            }}
        </div>

        <div class="card-body">
            <form @submit.prevent="submit">
                <div class="row">
                    <Input
                        :item="{
                            label: __('fields->shop_id'),
                            name: 'shop_id',
                            type: inputEnums.types.select2Ajax,
                            select2Value: 'shop.number',
                            options: {
                                path: 'shop/shop',
                                query: {
                                    'show[0]': 'with-deleted',
                                },
                                field: 'number',
                            },
                            wrapperSize: inputEnums.wrapperSizes.lg,
                        }"
                    />
                    <Input
                        :item="{
                            label: __('fields->date'),
                            name: 'date',
                            type: inputEnums.types.date,
                            options: {},
                            wrapperSize: inputEnums.wrapperSizes.lg,
                        }"
                        placeholder="qwe"
                    />
                </div>

                <button type="submit" class="btn btn-success btn-block">
                    {{ __('Экспортировать') }}
                </button>
            </form>
        </div>
    </div>
</template>
